/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.eingang.forwarder;

import java.util.Optional;

import de.ozgcloud.eingang.forwarding.GrpcRouteCriteria;

public class RouteCriteriaTestFactory {

	public static final String GEMEINDE_SCHLUSSEL = "0815";
	public static final String WEBSERVICE_URL = "http://nimmerland.by.kop-cloud.de/ws";
	public static final String ORGANISATIONSEINHEITEN_ID = "4711";

	public static RouteCriteria create() {
		return createBuilder().build();
	}

	public static RouteCriteria.RouteCriteriaBuilder createBuilder() {
		return RouteCriteria.builder()
				.gemeindeSchluessel(Optional.of(GEMEINDE_SCHLUSSEL))
				.webserviceUrl(Optional.of(WEBSERVICE_URL))
				.organisationseinheitenId(Optional.of(ORGANISATIONSEINHEITEN_ID));
	}

	public static GrpcRouteCriteria createGrpc() {
		return createGrpcBuilder().build();
	}

	public static GrpcRouteCriteria.Builder createGrpcBuilder() {
		return GrpcRouteCriteria.newBuilder()
				.setGemeindeSchluessel(GEMEINDE_SCHLUSSEL)
				.setWebserviceUrl(WEBSERVICE_URL)
				.setOrganisationseinheitenId(ORGANISATIONSEINHEITEN_ID);
	}
}
