/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.eingang.xta;

import static org.assertj.core.api.Assertions.*;
import static org.mockito.Mockito.*;

import java.util.List;

import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.DisplayName;
import org.junit.jupiter.api.Nested;
import org.junit.jupiter.api.Test;
import org.mockito.InjectMocks;
import org.mockito.Mock;
import org.mockito.Spy;

class XtaCurrentIdentifierServiceTest {

	private static final String IDENTIFIER1 = "identifier1";
	private static final String IDENTIFIER2 = "identifier2";
	private static final List<String> IDENTIFIERS = List.of(IDENTIFIER1, IDENTIFIER2);

	@Spy
	@InjectMocks
	private XtaCurrentIdentifierService service;

	@Mock
	private XtaProperties properties;

	@DisplayName("get identifiers")
	@Nested
	class TestGetIdentifiers {
		@BeforeEach
		void mock() {
			when(properties.getIdentifiers()).thenReturn(IDENTIFIERS);
		}

		@DisplayName("should return")
		@Test
		void shouldReturn() {
			assertThat(service.getIdentifiers()).isEqualTo(IDENTIFIERS);
		}
	}

}
